Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.meta
Class FieldTypeInfo

    java.lang.Object
      org.apache.hadoop.record.meta.FieldTypeInfo

    public class FieldTypeInfo

extends Object

Represents a type information for a field, which is made up of its ID (name) and its type (a TypeID object).

Method Summary
`boolean` | `equals(FieldTypeInfo ti)`
`boolean` | `equals(Object o)` Two FieldTypeInfos are equal if ach of their fields matches
`String` | `getFieldID()` get the field's id (name)
`TypeID` | `getTypeID()` get the field's TypeID object
`int` | `hashCode()` We use a basic hashcode implementation, since this class will likely not be used as a hashmap key

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTypeID

    public TypeID getTypeID()

  get the field's TypeID object

### getFieldID

    public String getFieldID()

  get the field's id (name)

### equals

    public boolean equals(Object o)

  Two FieldTypeInfos are equal if ach of their fields matches

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  We use a basic hashcode implementation, since this class will likely not be used as a hashmap key

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(FieldTypeInfo ti)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation